#include<iostream>
#include<cmath>
#include<math.h>
using namespace std;

int main()
{
	int a,i,n;
	double b,c;
	cin>>n;
	
	for(i=2;i<=n;i++){
		if(i==2)
			b=1/2.0;
			
		
			
		for(a=2;a<i;a++){
			
			if(i%a==0){
				break;
			}else{
				if(a==i-1){
					c=1/(double)i;
					
					b=b+c;}
				
					
			}
			
				
		}
	}
	
	cout<<b;
	
	return 0;
	
}
